#!/usr/bin/env python3

""" 
This script searches amongst the barrier-less channels to look for fragments detected in the ISM

"""

import os.path
import sys
import re
import math
from numpy import *
from scipy.linalg import *
from ase import Atoms

File = 'ISMmolecules'

i = 0
for line in open(File, 'r'):
    i += 1
    columns = line.split()
    nat = str(columns[0])
    fra = Atoms(str(columns[1]))
    mfra = sum(fra.get_masses())
    print(nat,columns[1],mfra) 

